xine-lib: _GMLINE Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
_GMLINE Struct Reference

`#include <lines.h>`

## Data Fields
GMUnitPointer * | points
GMUnitPointer * | points2
int | IDdest
float | param
float | amplitudeF
float | amplitude
int | nbPoints
unsigned int | color
unsigned int | color2
int | screenX
int | screenY
float | power
float | powinc
PluginInfo * | goomInfo

## Field Documentation

## ◆ amplitude

float _GMLINE::amplitude

Referenced by goom_lines_draw(), goom_lines_init(), and goom_lines_move().

## ◆ amplitudeF

float _GMLINE::amplitudeF

Referenced by goom_lines_init(), goom_lines_move(), and goom_lines_switch_to().

## ◆ color

unsigned int _GMLINE::color

Referenced by goom_lines_draw(), goom_lines_init(), and goom_lines_move().

## ◆ color2

unsigned int _GMLINE::color2

Referenced by goom_lines_init(), goom_lines_move(), and goom_lines_switch_to().

## ◆ goomInfo

PluginInfo* _GMLINE::goomInfo

Referenced by goom_lines_init(), and goom_lines_move().

## ◆ IDdest

int _GMLINE::IDdest

Referenced by goom_lines_init(), goom_lines_set_res(), and goom_lines_switch_to().

## ◆ nbPoints

int _GMLINE::nbPoints

Referenced by goom_lines_init().

## ◆ param

float _GMLINE::param

Referenced by goom_lines_init(), goom_lines_set_res(), and goom_lines_switch_to().

## ◆ points

GMUnitPointer* _GMLINE::points

Referenced by goom_lines_draw(), goom_lines_init(), and goom_lines_move().

## ◆ points2

GMUnitPointer* _GMLINE::points2

Referenced by goom_lines_init(), goom_lines_move(), goom_lines_set_res(), and goom_lines_switch_to().

## ◆ power

float _GMLINE::power

Referenced by goom_lines_draw(), goom_lines_init(), goom_lines_move(), and goom_update().

## ◆ powinc

float _GMLINE::powinc

Referenced by goom_lines_init(), and goom_lines_move().

## ◆ screenX

int _GMLINE::screenX

Referenced by goom_lines_draw(), goom_lines_init(), goom_lines_set_res(), and goom_lines_switch_to().

## ◆ screenY

int _GMLINE::screenY

Referenced by goom_lines_draw(), goom_lines_init(), goom_lines_set_res(), and goom_lines_switch_to().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/post/goom/lines.h